{% extends 'base.html' %}

{% block maincontent %}
    {% block before_table %}{% endblock %}

    {% block table %}
        <div class="table-container">
            <table class="table is-bordered is-striped is-narrow is-hoverable is-fullwidth is-responsive">
                <colgroup>
                    {% block table_colgroup %}
                        {% set data_items_length = data_items | length %}

                        {% for column in header_columns %}
                            <col span="1" style="width: {{ 100/header_columns_length }}%">
                        {% endfor %}
                    {% endblock %}
                </colgroup>

                <thead>
                    {% block table_thead %}
                        {% set header_columns_length = header_columns | length %}

                        {% if header_columns_length > 0 %}
                            <tr>
                                {% for column in header_columns %}
                                    <th>{{ column }}</th>
                                {% endfor %}
                            </tr>
                        {% else %}
                            <tr>
                                <th>No column</th>
                            </tr>
                        {% endif %}
                    {% endblock %}
                </thead>

                <tbody>
                    {% block table_tbody %}
                        {% set data_columns_length = data_columns | length %}
                        {% set data_items_length = data_items | length %}

                        {% if data_items_length > 0 %}
                            {% for data in data_items %}
                                <tr>
                                    {% if data_columns_length > 0 %}
                                        {% for data_column in data_columns %}
                                            <td>{{ data[data_column] }}</td>
                                        {% endfor %}
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        {% else %}
                            <tr>
                                <td colspan="{{ header_columns_length }}">No data</td>
                            </tr>
                        {% endif %}
                    {% endblock %}
                </tbody>

                <tfoot>
                    {% block table_tfoot %}
                        {% set header_columns_length = header_columns | length %}
                        {% set data_items_length = data_items | length %}
                        <tr>
                            <td colspan="{{ header_columns_length }}">
                                {{ data_items_length }} elements
                            </td>
                        </tr>
                    {% endblock %}
                </tfoot>
            </table>
        </div>
    {% endblock %}

    {% block after_table %}{% endblock %}
{% endblock %}
